aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml4
-rw-r--r--appveyor.ps18
-rwxr-xr-xtravis.sh26
3 files changed, 24 insertions, 14 deletions
diff --git a/.travis.yml b/.travis.yml
index b1d977d..6c1e20c 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -10,9 +10,7 @@ script: ./travis.sh
env:
matrix:
- TARGET=CI
- - TARGET=IT SQ_VERSION=DEV
- - TARGET=IT SQ_VERSION=5.1.2
- - TARGET=IT SQ_VERSION=LTS
+ - TARGET=IT
cache:
directories:
diff --git a/appveyor.ps1 b/appveyor.ps1
index 4b1dd17..7885abf 100644
--- a/appveyor.ps1
+++ b/appveyor.ps1
@@ -92,13 +92,11 @@ function Build
function BuildSnapshot
{
- param ([string]$Project)
+ param ([string]$Project)
- echo "Fetch and build latest green snapshot of [$Project]"
+ echo "Fetch and build snapshot of [$Project]"
- $lastGreenSha1 = (new-object Net.WebClient).DownloadString("http://sonarsource-979.appspot.com/$Project/latestGreen")
-
- Build $Project $lastGreenSha1
+ Build $Project "HEAD"
}
function CheckLastExitCode
diff --git a/travis.sh b/travis.sh
index a9164a0..5fba286 100755
--- a/travis.sh
+++ b/travis.sh
@@ -9,13 +9,27 @@ function configureTravis {
}
configureTravis
-regular_mvn_build_deploy_analyze
+case "$TARGET" in
-MIN_SQ_VERSION="LTS"
-echo '======= Run integration tests on minimal supported version of SonarQube ($MIN_SQ_VERSION)'
-cd it
-mvn -Dsonar.runtimeVersion="$MIN_SQ_VERSION" -Dmaven.test.redirectTestOutputToFile=false verify -e -B -V
+CI)
+ regular_mvn_build_deploy_analyze
+ ;;
+IT)
+ MIN_SQ_VERSION="LTS"
+ mvn install -DskipTests=true -Dsource.skip=true -Denforcer.skip=true -B -e -V
+
+ echo '======= Run integration tests on minimal supported version of SonarQube ($MIN_SQ_VERSION)'
+ cd it
+ mvn -Dsonar.runtimeVersion="$MIN_SQ_VERSION" -Dmaven.test.redirectTestOutputToFile=false verify -e -B -V
+ # all other versions of SQ are tested by the QA pipeline at SonarSource
+ ;;
+
+*)
+ echo "Unexpected TARGET value: $TARGET"
+ exit 1
+ ;;
+
+esac
-# all other versions of SQ are tested by the QA pipeline at SonarSource